<?php
function chat_admin_main() 
{
   return chat_admin_preferences ();
}


function chat_admin_preferences () 
{
    if (!(SecurityUtil::checkPermission('chat::', '::', ACCESS_ADMIN)))
        return LogUtil::registerPermissionError();

    $preferences = pnModGetVar('chat');
    $pnRender = pnRender::getInstance('chat');
    $pnRender->assign ('preferences', $preferences);
    $pnRender->assign ('theme_selector', $selector);
    return $pnRender->fetch ('chat_form_preferences.html');
}


function chat_admin_docs () 
{
    if (!(SecurityUtil::checkPermission('chat::', '::', ACCESS_ADMIN)))
        return LogUtil::registerPermissionError();

    $pnRender = pnRender::getInstance('chat');
    return $pnRender->fetch ('chat_admindocs.html');
}
