<?php
/**
 * Zikula Application Framework
 *
 * @copyright (c) 2001, Zikula Development Team
 * @link http://www.zikula.org
 * @version $Id: index.php 27368 2009-11-02 20:19:51Z mateo $
 * @license GNU/GPL - http://www.gnu.org/copyleft/gpl.html
 */

// include base api
include 'includes/pnAPI.php';

// start PN
pnInit(PN_CORE_ALL & ~PN_CORE_AJAX);


$username = isset($_GET['username']) ? trim(htmlspecialchars($_GET['username'])) : '';
$username = substr(str_replace("\\'", "'", $username), 0, 25);
$username = str_replace("'", "\\'", $username);
$password = isset($_GET['password']) ? $_GET['password'] : '';


$LOGIN_SUCCESS = 0;
$LOGIN_PASSWD_ERROR = 1;
$LOGIN_NICK_EXIST = 2;
$LOGIN_ERROR = 3;
$LOGIN_ERROR_NOUSERID = 4;
$LOGIN_SUCCESS_ADMIN = 5;
$LOGIN_NOT_ALLOW_GUEST = 6;
$LOGIN_USER_BANED = 7;


if ( empty($username) || empty($password) )
{
	echo $LOGIN_ERROR_NOUSERID;
	exit;	
} 

$where = "pn_uname='$username'";
$DBUtil = new DBUtil;
$userinfo = DBUtil::selectObjectArray('users', $where);


if ( empty($userinfo) )
{
	echo $LOGIN_ERROR_NOUSERID;
	exit;	
} 




$db_user_password = $userinfo[0]['pass'];

$pnuser_hash_number = $userinfo[0]['hash_method'];
$hashmethodsarray = pnModAPIFunc('Users', 'user', 'gethashmethods', array('reverse' => true));
$hpass = DataUtil::hash($password, $hashmethodsarray[$pnuser_hash_number]);

if (($password == $db_user_password) || ($hpass == $db_user_password) )
{
	echo $LOGIN_SUCCESS;
	exit;
}
else
{	
	echo $LOGIN_PASSWD_ERROR;
	exit;
}

?>