<?php
function chat_adminform_preferences ()
{
    if (!(SecurityUtil::checkPermission('chat::', '::', ACCESS_ADMIN)))
      return LogUtil::registerPermissionError();
      
    pnModLangLoad('chat', 'admin');

    $prefs = FormUtil::getPassedValue('preferences', null, 'POST');

    if (!(int)$prefs['hosting_mode'])              $prefs['hosting_mode']             = 3;
	if (!(int)$prefs['chat_client_width'])         $prefs['chat_client_width']        = 634;
 	if (!(int)$prefs['chat_client_height'])        $prefs['chat_client_height']       = 512;

    pnModSetVar ('chat', 'hosting_mode',              $prefs['hosting_mode']);
    pnModSetVar ('chat', 'chat_server_path',       	  $prefs['chat_server_path']);
    pnModSetVar ('chat', 'client_location',           $prefs['client_location']);
    pnModSetVar ('chat', 'chat_room_name',            $prefs['chat_room_name']);
    pnModSetVar ('chat', 'chat_client_width',         $prefs['chat_client_width']);
    pnModSetVar ('chat', 'chat_client_height',        $prefs['chat_client_height']);

    LogUtil::registerStatus (_CHAT_UPDATESUCCESS);
    return pnRedirect(pnModURL('chat', 'admin', 'main'));
}



function _chat_deleteDir($dir) {
   $dhandle = opendir($dir);

   if ($dhandle) {
      while (false !== ($fname = readdir($dhandle))) {
         if (is_dir( "{$dir}/{$fname}" )) {
            if (($fname != '.') && ($fname != '..')) {
               _chat_deleteDir("$dir/$fname");
            }
         } else {
            unlink("{$dir}/{$fname}");
         }
      }
      closedir($dhandle);
    }
   rmdir($dir);
   return true;
}
