<?php

function chat_userapi_getConnectedUserList ($args)
{
    if (!(SecurityUtil::checkPermission('chat::', '::', ACCESS_READ)))
        return LogUtil::registerPermissionError();

    $channel  = isset($args['channel']) && $args['channel'] ? $args['channel'] : null;

    require_once ('modules/chat/includes/chat/src/pfcinfo.class.php');
    $info = new pfcInfo(md5(__FILE__));
    $users = $info->getOnlineNick($channel);

    return $users;
}

function chat_userapi_getConnectedUserCount ($args)
{
    return count(chat_userapi_getConnectedUserList ($args));
}
